package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclPractitionerHiringBasicInfo;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AclPractitionerHiringBasicInfoMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclPractitionerHiringBasicInfo record);

    int insertSelective(AclPractitionerHiringBasicInfo record);

    AclPractitionerHiringBasicInfo selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclPractitionerHiringBasicInfo record);

    int updateByPrimaryKey(AclPractitionerHiringBasicInfo record);

    int updateBatch(List<AclPractitionerHiringBasicInfo> list);

    int updateBatchSelective(List<AclPractitionerHiringBasicInfo> list);

    int batchInsert(@Param("list") List<AclPractitionerHiringBasicInfo> list);

    void updateByPractitionerPotentialId(AclPractitionerHiringBasicInfo basicInfo);

}